Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228481 - Review Request: hunspell-hu - Hungarian hunspell dictionaries
Summary: Review Request: hunspell-hu - Hungarian hunspell dictionaries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 10:53 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-20 09:29:28 UTC
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 10:53:42 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-hu.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-hu-0.20061105-1.src.rpm
Description: Hungarian hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-13 23:30:37 UTC
GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
034cafefbb6d912c28e15d6fe45e0dbe01e16fbf  hu_HU_comb.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- no need for -docs as the only doc is just a 3 liner text file
- nothing in %doc affects runtime
- no need for .desktop file 

NEEDFIX - the license LGPL stated in the tag is NOT the same as the web site
says (GPL, see
http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/README_hu_HU.txt).

APPROVED, but please fix the license tag before importing.
Please also ask upstream to include the license file in the archive


Comment 2 manuel wolfshant 2007-02-13 23:39:43 UTC
I think that you should also fix upstreamid, the web page at
http://tkltrans.sourceforge.net/tklspell/ says 
 hu_HU_comb.zip          21-Aug-2006 03:23, 
which differs from the one that you have used (05-nov-2006).


Comment 3 Caolan McNamara 2007-02-20 09:29:28 UTC
 27897 (hunspell-hu): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.